Subject: Re: [PATCH v4 0/5] meson: add corresponding target for Makefile's hdr-check

From: Junio C Hamano <[email-masked]>
Date: Mon, 21 Apr 2025 08:41:15 -0700

Phillip Wood <[email-masked]> writes:

> "git ls-files" is complaining that there isn't a git
> repository. Looking at the output of the checkout action (reproduced
> below) it appears it is extracting a tarball rather than using "git
> clone" because git is not available. I don't know what the best way to
> fix that is - I guess we could run "apt-get install git" before
> calling the checkout action.

Interesting.  The use of actions/checkout@v4 is nothing new in
Karthik's series and we haven't seen this issue come up.  What's so
different with this particular series, I have to wonder...

Thanks.